Bug 1451526 - elixir-1.6.5 is available
Summary: elixir-1.6.5 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: elixir
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1590700
Blocks: 1427123
TreeView+ depends on / blocked
 
Reported: 2017-05-17 00:12 UTC by Upstream Release Monitoring
Modified: 2018-06-26 17:33 UTC (History)
10 users (show)

Fixed In Version: elixir-1.6.5-2.fc28
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-26 17:33:19 UTC


Attachments (Terms of Use)
[patch] Update to 1.4.4 (#1451526) (935 bytes, patch)
2017-05-17 00:12 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.4.5 (#1451526) (935 bytes, patch)
2017-06-23 00:13 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.5.0 (#1451526) (935 bytes, patch)
2017-07-25 12:14 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.5.1 (#1451526) (934 bytes, patch)
2017-08-02 00:14 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.5.2 (#1451526) (1.05 KB, patch)
2017-09-29 12:13 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.6.0 (#1451526) (1.05 KB, patch)
2018-01-18 12:14 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.6.1 (#1451526) (1.05 KB, patch)
2018-01-30 12:15 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-05-17 00:12:41 UTC
Latest upstream release: 1.4.4
Current version/release in rawhide: 1.4.2-1.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 1 Upstream Release Monitoring 2017-05-17 00:12:52 UTC
Created attachment 1279508 [details]
[patch] Update to 1.4.4 (#1451526)

Comment 2 Upstream Release Monitoring 2017-05-17 00:16:47 UTC
hotness's scratch build of elixir-1.4.4-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=19590370

Comment 3 Upstream Release Monitoring 2017-06-23 00:13:12 UTC
Latest upstream release: 1.4.5
Current version/release in rawhide: 1.4.2-1.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 4 Upstream Release Monitoring 2017-06-23 00:13:19 UTC
Created attachment 1290833 [details]
[patch] Update to 1.4.5 (#1451526)

Comment 5 Upstream Release Monitoring 2017-06-23 00:18:12 UTC
hotness's scratch build of elixir-1.4.5-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=20105720

Comment 6 Upstream Release Monitoring 2017-06-25 12:13:04 UTC
Latest upstream release: 1.5.0-rc.0
Current version/release in rawhide: 1.4.2-1.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 7 Upstream Release Monitoring 2017-06-25 12:13:12 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://github.com/elixir-lang/elixir/archive/v1.5.0/elixir-1.5.0.tar.gz to ./elixir-1.5.0.tar.gz

Comment 8 Randy Barlow 2017-07-07 18:09:54 UTC
ejabberd cannot be upgraded until elixir is updated to at least 1.4.4 in Rawhide.

Comment 9 Upstream Release Monitoring 2017-07-13 12:14:19 UTC
Latest upstream release: 1.5.0-rc.1
Current version/release in rawhide: 1.4.2-1.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 10 Upstream Release Monitoring 2017-07-13 12:14:25 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://github.com/elixir-lang/elixir/archive/v1.5.0/elixir-1.5.0.tar.gz to ./elixir-1.5.0.tar.gz

Comment 11 Upstream Release Monitoring 2017-07-25 12:14:24 UTC
Latest upstream release: 1.5.0
Current version/release in rawhide: 1.4.2-1.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 12 Upstream Release Monitoring 2017-07-25 12:14:34 UTC
Created attachment 1304195 [details]
[patch] Update to 1.5.0 (#1451526)

Comment 13 Upstream Release Monitoring 2017-07-25 12:22:39 UTC
hotness's scratch build of elixir-1.5.0-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=20722468

Comment 14 Upstream Release Monitoring 2017-08-02 00:14:35 UTC
Latest upstream release: 1.5.1
Current version/release in rawhide: 1.4.5-2.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 15 Upstream Release Monitoring 2017-08-02 00:14:44 UTC
Created attachment 1307829 [details]
[patch] Update to 1.5.1 (#1451526)

Comment 16 Upstream Release Monitoring 2017-08-02 00:43:53 UTC
hotness's scratch build of elixir-1.5.1-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=20954908

Comment 17 Upstream Release Monitoring 2017-09-29 12:13:23 UTC
Latest upstream release: 1.5.2
Current version/release in rawhide: 1.4.5-2.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 18 Upstream Release Monitoring 2017-09-29 12:13:33 UTC
Created attachment 1332376 [details]
[patch] Update to 1.5.2 (#1451526)

Comment 19 Upstream Release Monitoring 2017-09-29 12:28:41 UTC
hotness's scratch build of elixir-1.5.2-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=22143165

Comment 20 Upstream Release Monitoring 2017-12-27 12:13:29 UTC
Latest upstream release: 1.6.0-rc.0
Current version/release in rawhide: 1.4.5-2.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 21 Upstream Release Monitoring 2017-12-27 12:13:37 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://github.com/elixir-lang/elixir/archive/v1.6.0/elixir-1.6.0.tar.gz to ./elixir-1.6.0.tar.gz

Comment 22 Upstream Release Monitoring 2018-01-13 00:13:46 UTC
Latest upstream release: 1.6.0-rc.1
Current version/release in rawhide: 1.4.5-2.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 23 Upstream Release Monitoring 2018-01-13 00:13:54 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://github.com/elixir-lang/elixir/archive/v1.6.0/elixir-1.6.0.tar.gz to ./elixir-1.6.0.tar.gz

Comment 24 Upstream Release Monitoring 2018-01-18 12:14:38 UTC
Latest upstream release: 1.6.0
Current version/release in rawhide: 1.4.5-2.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 25 Upstream Release Monitoring 2018-01-18 12:14:47 UTC
Created attachment 1382888 [details]
[patch] Update to 1.6.0 (#1451526)

Comment 26 Upstream Release Monitoring 2018-01-18 12:20:51 UTC
hotness's scratch build of elixir-1.6.0-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=24266717

Comment 27 Upstream Release Monitoring 2018-01-30 12:15:07 UTC
Latest upstream release: 1.6.1
Current version/release in rawhide: 1.4.5-2.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 28 Upstream Release Monitoring 2018-01-30 12:15:16 UTC
Created attachment 1388333 [details]
[patch] Update to 1.6.1 (#1451526)

Comment 29 Upstream Release Monitoring 2018-01-30 12:24:30 UTC
hotness's scratch build of elixir-1.6.1-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=24568436

Comment 30 Upstream Release Monitoring 2018-03-01 12:15:58 UTC
Latest upstream release: 1.6.2
Current version/release in rawhide: 1.4.5-2.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 31 Upstream Release Monitoring 2018-03-10 00:14:43 UTC
Latest upstream release: 1.6.3
Current version/release in rawhide: 1.4.5-2.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 32 Upstream Release Monitoring 2018-03-17 00:14:13 UTC
Latest upstream release: 1.6.4
Current version/release in rawhide: 1.4.5-2.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 33 Upstream Release Monitoring 2018-05-07 12:14:56 UTC
Latest upstream release: 1.6.5
Current version/release in rawhide: 1.4.5-2.fc27
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 34 Fedora Update System 2018-05-23 05:44:38 UTC
elixir-1.6.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-313c3745b9

Comment 35 Timothée Floure 2018-05-23 06:21:35 UTC
Hello,

I joined as co-maintainer of this package a few weeks ago and started working on it:
  * There's a PR fixing #1519195 and #1517850, which has been "merged" [1]
  * There's a PR fixing some rpmlint errors and updating to elixir v1.5.3, yet to be merged [2]
  * There's a PR by @jeckersb updating the package to elixir v1.6.5 (lastest upstream version), yet to be merged [3]

There are some issues when packaging elixir >= v1.6.0, where elixir is not even built by the package: something doesn't play well with the `%{rebar_compile}` macro. See [3].

@peter, you used your power as Proven Packager a few hours ago to:

  * Directly upgrade master to elixir 1.6.5 (with a broken package)
  * Merge it to the f28 branch
  * Submit a bodhi update for f28

I agree we should have updated this ticket sooner, but you could have reacted to the recent activity on the repository (and the open PRs on the subject). The current master only takes a few seconds to build (it's weird!): you could have tested it before pushing to master and submitting the bodhi update.

Please be a bit more careful next time :-)

You can help us with [3] if you're eager to see elixir >= 1.6.0 in Fedora!

[1] https://src.fedoraproject.org/rpms/elixir/pull-request/1
[2] https://src.fedoraproject.org/rpms/elixir/pull-request/2
[3] https://src.fedoraproject.org/rpms/elixir/pull-request/3

Comment 36 Fedora Update System 2018-05-23 17:38:15 UTC
elixir-1.6.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-313c3745b9

Comment 37 John Eckersberg 2018-05-25 18:00:59 UTC
Submitted a backport pull request upstream for elixir, this is breaking the tests for v1.6.5:

https://github.com/elixir-lang/elixir/pull/7711

Comment 38 Timothée Floure 2018-06-13 08:54:26 UTC
Peter merged (ignoring the comments ?) PR#4 [0], but we still have some issues with the tests using the bundled rebar3.

[0] https://src.fedoraproject.org/rpms/elixir/pull-request/4

Comment 39 Fedora Update System 2018-06-14 19:06:57 UTC
elixir-1.6.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2e0ba32ebb

Comment 40 Fedora Update System 2018-06-15 16:34:44 UTC
elixir-1.6.5-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2e0ba32ebb

Comment 41 Fedora Update System 2018-06-26 17:33:19 UTC
elixir-1.6.5-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.